/* FILE: mmsolve.h                 -*-Mode: c++-*-
 *
 * Standard macro definitions.
 *
 */

#ifndef MMSOLVE_H
#define MMSOLVE_H

#include "oc.h"
#include "vf.h"

#ifdef USE_MPI
#include "mmsmpi.h"
#include "fft.h"  // Needed for MyComplex definition.
#endif /* USE_MPI */

/* End includes */

/*
 * NOTE: When version number information is changed here, it must
 * also be changed in the following files:
 *
 */
 
#define MMSOLVE_MAJOR_VERSION    1
#define MMSOLVE_MINOR_VERSION    1
#define MMSOLVE_RELEASE_LEVEL    0
#define MMSOLVE_RELEASE_SERIAL   2

#define MMSOLVE_VERSION OC_MAKE_VERSION(MMSOLVE)

Tcl_CmdProc Mms_MifCmd;
Tcl_CmdProc Mms_Grid2DCmd;
int Mmsolve_Init _ANSI_ARGS_((Tcl_Interp *interp));
int Mmsolve_SafeInit _ANSI_ARGS_((Tcl_Interp *interp));

#endif // MMSOLVE_H
